import { createFilter } from 'rollup-pluginutils';
import istanbul from 'babel-istanbul';

function index (options) {
  if ( options === void 0 ) options = {};

  var filter = createFilter(options.include, options.exclude);

  return {
    transform: function transform (code, id) {
      if (!filter(id)) return;

      var instrumenter = new (options.instrumenter || istanbul).Instrumenter(options.instrumenterConfig || { esModules: true });

      code = instrumenter.instrumentSync(code, id);

      return {
        code: code,
        map: { mappings: '' }
      };
    }
  };
}

export default index;